<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
"http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<title><?php page_title(); ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<?php if(defined('DEFAULT_CHARSET')) { echo DEFAULT_CHARSET; } else { echo 'utf-8'; }?>" />
<meta name="description" content="<?php page_description(); ?>" />
<meta name="keywords" content="<?php page_keywords(); ?>" />
<link rel="stylesheet" href="<?php echo TEMPLATE_DIR; ?>/dragon.css" type="text/css" media="screen" />
</head>

<body>
<div id="title"><h1><?php page_title('', '[WEBSITE_TITLE]'); ?></h1></div>
<br/>
<div id="container">

<div id="sidebar">
<h2>Site menu</h2>
<?php show_menu(1,0,1,true,'<li>[a][menu_title][/a]</li>','','','','',''); ?>
<br />

<?php ob_start();     // start output buffer
			show_menu(1,1,-2,true,'<li>[a][menu_title][/a]</li>','','','','','');    // call menu
			$foo=ob_get_contents();    // put outputbuffer in $foo
			ob_end_clean();             // clear outputbuffer
			if ($foo<>"") {        // some code to execute cause there is some block
			  echo '<h2>Submenu</h2>'; 
			  echo $foo;                           // show the block (as saved in $foo)
			  } else {        // some code for no info
			}
			?>
<br />

<?php
if(FRONTEND_LOGIN AND !$wb->is_authenticated()) {
?>
<h2><?php echo $TEXT['LOGIN']; ?></h2>

<form name="login" action="<?php echo LOGIN_URL; ?>" method="post">
<?php echo $TEXT['USERNAME']; ?>:
<input type="text" name="username" size="15"/><br />
<?php echo $TEXT['PASSWORD']; ?>: <br />
<input type="password" name="password" size="15"/><br /><br />
<input type="submit" name="submit" value="<?php echo $TEXT['LOGIN']; ?>" /><br />
<a href="<?php echo FORGOT_URL; ?>"><?php echo $TEXT['FORGOT_DETAILS']; ?></a>
<?php if(is_numeric(FRONTEND_SIGNUP)) { ?>
<a href="<?php echo SIGNUP_URL; ?>"><?php echo $TEXT['SIGNUP']; ?></a>
<?php } ?>
</form>

<?php
} elseif(FRONTEND_LOGIN AND $wb->is_authenticated()) {
?>

<h2><?php echo $TEXT['LOGGED_IN']; ?></h2>

<form name="logout" action="<?php echo LOGOUT_URL; ?>" method="post">
<?php echo $TEXT['WELCOME_BACK']; ?>,<br /> <a href="<?php echo PREFERENCES_URL; ?>">
<?php echo $wb->get_display_name(); ?></a><br /><br />
<input type="submit" name="submit" value="<?php echo $MENU['LOGOUT']; ?>" />
</form>
<?php
}
?>
<br>
</div>

<div id="main">
<p><?php page_content(); ?></p>

<br /><br />
</div>

<div id="footer"><p class="credits">&copy; 2006 <?php page_footer(); ?> | Design by <a href="http://andreasviklund.com">Andreas Viklund</a></p></div>
</div>
</body>
</html>